﻿$ErrorActionPreference = 'Stop'
$packageName   = 'ad-photo-edit-free' 
$toolsDir      = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url           = 'http://www.cjwdev.com/Software/ADPhotoEdit/ADPhotoEditSetup.zip' 
$UnzippedEXE  = Join-Path $toolsDir 'ADPhotoEditFreeSetup.EXE'
$installerType = 'EXE'
$silentArgs    = '/quiet /qn /norestart'
$validExitCodes= @(0)

#Get-ChocolateyWebFile $packageName $toolsDir $url

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'ZIP' 
  url           = $url
}

Install-ChocolateyZipPackage @packageArgs

$url = $UnzippedEXE

Install-ChocolateyPackage -PackageName "$packageName" `
                          -FileType "$installerType" `
                          -SilentArgs "$silentArgs" `
                          -Url "$url" `
                          -ValidExitCodes $validExitCodes `

